//Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.

#import "CopyViewController.h"
#import "UIViewController+Spinner.h"
#import "UIViewController+Alert.h"


@interface CopyViewController ()

- (IBAction)copyHere:(id)sender;

@end

@implementation CopyViewController

- (void)viewDidLoad {
    [super viewDidLoad];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


- (IBAction)copyHere:(id)sender {
    PCFOPSAPIParams *params = [[PCFOPSAPIParams alloc] init];
    params.source = self.source;
    params.target = self.rootResource.fullPath;
    
    [self showSpinner];
    
    __weak CopyViewController *blocksafeSelf = self;

    
    [[PCAPISDK sharedInstance] copy:params withCompletionHandler:^(PCResource *metadata, PCAPIQueryResponse *response) {
        
        [blocksafeSelf hideSpinner];
        [blocksafeSelf dismissViewControllerAnimated:YES completion:^{
            blocksafeSelf.completionHandler(metadata, response);
        }];
    }];
}
@end
