//Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.

#import "MoveViewController.h"
#import "UIViewController+Spinner.h"
#import "UIViewController+Alert.h"


@interface MoveViewController ()

- (IBAction)moveHere:(id)sender;

@end

@implementation MoveViewController

- (void)viewDidLoad {
    [super viewDidLoad];

}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

- (IBAction)moveHere:(id)sender {
    
    PCFOPSAPIParams *params = [[PCFOPSAPIParams alloc] init];
    params.source = self.source;
    params.target = self.rootResource.fullPath;
    
    [self showSpinner];
    
    __weak MoveViewController *blocksafeSelf = self;

    [[PCAPISDK sharedInstance] move:params withCompletionHandler:^(PCResource *metadata, PCAPIQueryResponse *response) {
        
        [blocksafeSelf hideSpinner];
        [blocksafeSelf dismissViewControllerAnimated:YES completion:^{
            blocksafeSelf.completionHandler(metadata, response);
        }];        
    }];
}

@end
