//Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.

#import "NSString+Addition.h"

@implementation NSString (Addition)

- (NSString *)firstPathComponent {
    NSString *repoName = nil;
    NSString *path = [self copy];
    
    if ([path containsString:@"/"]) {
        NSMutableArray *pathComponent = (NSMutableArray*)[path componentsSeparatedByString:@"/"];
        if (pathComponent > 0) {
            [pathComponent removeObject:@""];
            repoName = [pathComponent objectAtIndex:0];
        }
    } else {
        repoName = [NSString stringWithFormat:@"%@",path];
    }
    
    return repoName;
}

- (NSString *)stringByDeletingFirstPathComponent {
    NSString *restorePath = nil;
    NSString *path = [self copy];
    
    if ([path containsString:@"/"]) {
        
        NSMutableArray *pathComponent = (NSMutableArray*)[path componentsSeparatedByString:@"/"];
        [pathComponent removeObject:@""];
        [pathComponent removeObjectAtIndex:0];
        restorePath = [NSString pathWithComponents:pathComponent];
        restorePath = [NSString stringWithFormat:@"/%@",restorePath];
        
    } else {
        restorePath = [NSString stringWithFormat:@"%@",path];
    }
    return restorePath;
}

@end
