//Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.

#import <UIKit/UIKit.h>

@class CustomDatePicker;

@interface CustomDatePickerViewController : UIViewController {
    
}

/*!
 * call this method to display custom picker view in controller.
 * @param customDatePickerView pass this CustomDatePicker object to display in controller.
 * @param completion This block gets called after completion.
 */
-(void)showPickerView:(CustomDatePicker *)customDatePickerView completion:(void (^)(void))completion;

/*!
 * call this method to dismiss controller.
 * \completion This block gets called after completion.
 */
-(void)dismissWithCompletion:(void (^)(void))completion;

@end
