//Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.

#import "CustomTableViewCell.h"

@implementation CustomTableViewCell

- (void)awakeFromNib {
    
    [super awakeFromNib];
    
    UILongPressGestureRecognizer *longpressGesture = [[UILongPressGestureRecognizer alloc] initWithTarget:self action:@selector(longPressHandler:)];
    longpressGesture.minimumPressDuration = .2;
    [longpressGesture setDelegate:self];
    [self addGestureRecognizer:longpressGesture];
}

- (void)longPressHandler:(UILongPressGestureRecognizer *)gestureRecognizer {
    
    if (gestureRecognizer.state == UIGestureRecognizerStateEnded) {
        if ([self.delegate respondsToSelector:@selector(tableViewCellDidLongPressed:)]) {
            [self.delegate tableViewCellDidLongPressed:self];
        }
    }
}


@end
